> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke API Key

> Revoke a specific enterprise API key

Requires an enterprise admin personal API key.

Revokes a specific API key that belongs to the enterprise.


## OpenAPI

````yaml /v2-openapi.yaml DELETE /v2/enterprise/api-keys/{api_key_id}
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/api-keys/{api_key_id}:
    delete:
      tags:
        - api-keys
      summary: Revoke Enterprise Api Key Endpoint
      description: Revoke a specific API key in the enterprise.
      operationId: >-
        revoke_enterprise_api_key_endpoint_v2_enterprise_api_keys__api_key_id__delete
      parameters:
        - in: path
          name: api_key_id
          required: true
          schema:
            title: Api Key Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````